#### Description:

This function returns a string holding the name of the global parameter with the given index within the Table.

This function is intended primarily as a means of iterating round all the parameters in a Table. For this purpose, the number of parameters in the Table is given by the Nparameter attribute of the Table. This function could then be called in a loop, with the index value going from zero to one less than Nparameter.

Note, the index associated with a parameter decreases monotonically with the age of the parameter: the oldest Parameter in the Table will have index one, and the Parameter added most recently to the Table will have the largest index.

#### Synopsis

const char ∗astParameterName( AstTable ∗this, int index )

#### Parameters:

##### this

Pointer to the Table.

##### index

The index into the list of parameters. The first parameter has index one, and the last has index `"` Nparameter`"` .

#### Returned Value

##### astParameterName()

A pointer to a null-terminated string containing the upper case parameter name.

#### Notes:

- The returned pointer is guaranteed to remain valid and the string to which it points will not be over-written for a total of 50 successive invocations of this function. After this, the memory containing the string may be re-used, so a copy of the string should be made if it is needed for longer than this.

- A NULL pointer will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory